Get blueprint
1 min
GET
/_cms/v1/blueprints/{key}
Path Parameters
- keystringrequiredDescription
Header Parameters
- If-None-MatchstringDescription
- If-Modified-Sincestring<http-date>DescriptionFormathttp-date
Responses
200
- BlueprintDescription
- keystringDescription
- displayNamestringrequiredDescriptionMin Length1Max Length255
- contentTypestringrequiredDescriptionMin Length1
- createdstring<date-time>DescriptionFormatdate-time
- createdBystringDescription
- lastModifiedstring<date-time>DescriptionFormatdate-time
- lastModifiedBystringDescription
- contentBlueprintDatarequiredDescription
- ContentData
- bindingContentBindingDescription
- contentTypeBindingstringDescription
- sourcestring<uri>requiredDescriptionFormaturi
- propertiesmap<string, PropertyData>Description
- object
- compositionCompositionNodeDescription
- idstringDescription
- displayNamestringDescriptionMax Length255
- nodeTypestringrequiredDescriptionMin Length1
- layoutTypestringDescription
- displaySettingsCompositionDisplaySettingsDescription
- displayTemplatestringrequiredDescriptionMin Length1
- settingsmap<string, string>Description
- componentContentComponentDescription
- ContentData
- Circular-Reference
- object
- referencestring<uri>DescriptionFormaturi
- contentTypestringDescription
- nodesCompositionNode[]Description
- Circular-Reference
Response Headers
- ETagstringDescription
- Last-Modifiedstring<http-date>DescriptionFormathttp-date
304
Response Headers
- ETagstringDescription
- Last-Modifiedstring<http-date>DescriptionFormathttp-date
401
403
404
500
curl
curl --request GET \
--url /_cms/v1/blueprints/{key} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/_cms/v1/blueprints/{key}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/_cms/v1/blueprints/{key}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/_cms/v1/blueprints/{key}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"key": "",
"displayName": "",
"contentType": "",
"created": "",
"createdBy": "",
"lastModified": "",
"lastModifiedBy": "",
"content": {}
}304
// Not Modified
401
// Unauthorized
403
// Forbidden
404
// Not Found
500
// Internal Server Error